%define upstream_name    Getopt-Auto
%define upstream_version 2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Option framework for command-line applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Getopt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Output)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
'Getopt::Auto' provides an easy way to organize a script to handle whatever
option mechanism it requires.

For each option '--foo' you provide a subroutine 'sub foo{...}'. The sub is
called every time '--foo' appears on the command line. Values for the
option are taken from '@ARGV'.

If you don't provide a subroutine for '--foo', then '$options{'--foo'}' is
set.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.0.0-8.mga9
+ Revision: 1820337
- Mageia 9 Mass Rebuild

* Mon Aug 24 2020 tv <tv> 2.0.0-7.mga8
+ Revision: 1618410
- BR Pod::Parser

* Wed Feb 12 2020 umeabot <umeabot> 2.0.0-6.mga8
+ Revision: 1494702
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.0.0-5.mga7
+ Revision: 1268208
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.0.0-4.mga6
+ Revision: 1027844
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.0.0-3.mga6
+ Revision: 931548
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 738866
- Second Mageia 5 Mass Rebuild

* Thu Sep 25 2014 tv <tv> 2.0.0-1.mga5
+ Revision: 724542
- imported package perl-Getopt-Auto


* Thu Sep 25 2014 Thierry Vignaud <tv@mageia.org> 2.0.0-1.mga5
- initial import
